import mongoose, { Schema } from 'mongoose';

const mediaSchema = new Schema({
  'title': String,
  'released': String,
  'webImg': String,
  'code': String
});

const MovieModel = mongoose.model('movie', mediaSchema);
const SeriesModel = mongoose.model('series', mediaSchema);
const GameModel = mongoose.model('game', mediaSchema);

export { MovieModel, SeriesModel, GameModel };